#pragma once

#include "Mix/Tool/CLR/Core/Dynamics/Design/Basic.h"

namespace Mix{ namespace Tool{ namespace Win32{ namespace Dynamics{ namespace Design{
	class Part;
}}}}}

namespace Mix{ namespace Tool{ namespace Dynamics{
	ref class Joint;
}}}

namespace Mix{ namespace Tool{ namespace Dynamics{ namespace Design{

	public ref class Part : public Mix::Tool::Dynamics::Design::Basic
	{
	private:
		Mix::Tool::Win32::Dynamics::Design::Part* implPart;
		Mix::Tool::Dynamics::Joint^ m_Joint;

	internal:
		Part( Mix::Tool::Win32::Dynamics::Design::Part* _implPart );
		virtual ~Part( void );

	public:
		property Mix::Tool::Dynamics::Joint^ Joint
		{
			Mix::Tool::Dynamics::Joint^ get( void );
			void set( Mix::Tool::Dynamics::Joint^ value );
		}

		property Mix::Tool::Math::Vector^ JointPivot
		{
			Mix::Tool::Math::Vector^ get( void );
			void set( Mix::Tool::Math::Vector^ value );
		}
	};

}}}}
